%define upversion 7.2
%define subver    0
%define rev       646

Name:           dc3dd
Version:        %{upversion}.%{rev}
Release:        %mkrel 7
Summary:        Patched version of GNU dd for use in computer forensics
License:        GPLv3+
Group:          Security
Url:            http://dc3dd.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.7z
Patch0:         automake.patch
Patch1:         dc3dd-7.2.646_glibc-2.28-1.patch
BuildRequires:  gettext-devel
BuildRequires:  p7zip

%description
dc3dd is a patched version of GNU dd to include a number of features useful
for computer forensics. Many of these features were inspired by dcfldd, but
were rewritten for dc3dd.

    * Pattern writes. The program can write a single hexadecimal value or a
    text string to the output device for wiping purposes.
    * Piecewise and overall hashing with multiple algorithms and variable
    size windows. Supports MD5, SHA-1, SHA-256, and SHA-512. Hashes can be
    computed before or after conversions are made.
    * Progress meter with automatic input/output file size probing
    * Combined log for hashes and errors
    * Error grouping. Produces one error message for identical sequential
    errors
    * Verify mode. Able to repeat any transformations done to the input
    file and compare it to an output.
    * Ability to split the output into chunks with numerical or alphabetic
    extensions


%prep
%setup -q
%autopatch -p1

rm po/*.gmo

chmod +x configure build-aux/*

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%check
%__make check

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog README README.coreutils THANKS
%doc THANKS-to-translators TODO Sample_Commands.txt NEWS Options_Reference.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 7.2.646-7.mga9
+ Revision: 1800283
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 7.2.646-6.mga8
+ Revision: 1537412
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 31 2019 daviddavid <daviddavid> 7.2.646-5.mga8
+ Revision: 1457084
- license change to GPLv3+ (the lib/getdate.c is no longer gplv2+)

* Sat Nov 03 2018 daviddavid <daviddavid> 7.2.646-4.mga7
+ Revision: 1327873
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 7.2.646-3.mga7
+ Revision: 1238033
- fix build on aarch64
+ kekepower <kekepower>
- Use __make test

* Sat Dec 03 2016 daviddavid <daviddavid> 7.2.646-1.mga6
+ Revision: 1071822
- new version: 7.2.646

* Sat Jan 23 2016 daviddavid <daviddavid> 7.2.641-1.mga6
+ Revision: 926612
- new version: 7.2.641
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 7.1.614-6.mga5
+ Revision: 744213
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.614-5.mga5
+ Revision: 678691
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.1.614-4.mga4
+ Revision: 503796
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.1.614-3.mga3
+ Revision: 348663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 7.1.614-2.mga3
+ Revision: 310499
- update RPM group
- Fixing source url.

* Mon Dec 19 2011 malo <malo> 7.1.614-1.mga2
+ Revision: 184094
- imported package dc3dd


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 10 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.3-3
- Fixed Source0 listing as reported https://www.redhat.com/archives/fedora-devel-list/2009-August/msg00591.html

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 19 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.3-1
- New release of dc3dd

* Thu Mar 05 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.2-3
- Cleaned up the .spec by looping through files needing EOF encoding fix

* Mon Mar 02 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.2-2
- Removed .gmo binaries, fixed source0, added doc items, fixed EOF encoding
- fixed licencing listing

* Mon Feb 23 2009 Adam Miller <maxamillion [AT] gmail.com> - 6.12.2-1
- First build of dc3dd for fedora
